_LinphoneCallLog Struct Reference
Managing call logs

`#include <linphonecore.h>`

## Data Fields

LinphoneCallDir | dir
LinphoneCallStatus | status
LinphoneAddress * | from
LinphoneAddress * | to
char | start_date [128]
int | duration

## Detailed Description

Structure representing a call log.

## Field Documentation

LinphoneCallDir _LinphoneCallLog::dir

The direction of the call

LinphoneCallStatus _LinphoneCallLog::status

The status of the call

LinphoneAddress* _LinphoneCallLog::from

Originator of the call as a LinphoneAddress object

LinphoneAddress* _LinphoneCallLog::to

Destination of the call as a LinphoneAddress object

char _LinphoneCallLog::start_date[128]

Human readable string containg the start date

int _LinphoneCallLog::duration

Duration of the call in seconds

The documentation for this struct was generated from the following file:

- linphonecore.h